/*******************************************************************************
 * FoxHudEffect_Spawn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudEffect_Spawn extends ZEHudEffect
    hidecategories(Navigation);

var const name InterpEffectParamName;
var const AkEvent SpawnEvent;
var bool bPlayed;

function UpdateEffect()
{
    super.UpdateEffect();
    ActiveInstance.SetScalarParameterValue(InterpEffectParamName, LifeSpanRatio);
    // End:0xEA
    if(((FoxPC(Owner) != none) && FoxPC(Owner).MyFoxPawn != none) && !bPlayed)
    {
        FoxPC(Owner).MyFoxPawn.PlayAkEvent(SpawnEvent, true);
        bPlayed = true;
    }
    //return;    
}

defaultproperties
{
    InterpEffectParamName=SpawnCamFXInterp
    LifeSpan=2.0
}